SSO
Please note that this functionality is intended for internal use only. The API may change in the future without any notice.
Authorize request
GET /v1/oauth/authorize
Redirects request to the client's authorization endpoint.
Query parameters:
| Key | Type | Default | Description | Required |
|---|---|---|---|---|
| sso_provider | integer | ID of the SSO provider. | Yes | |
| domain | string | Frontend domain from which the SSO provider is requested. | Yes | |
| admin_sso_redirect | string | false | Whether redirect is to be applied on admin site or not. | No |
| redirect_url | string | "" | URL that should be used to redirect the user after successful authorization. Specify only if it's different from the current frontend domain. | No |
Example authorization request:
curl -X GET 'https://example.rossum.app/api/v1/oauth/authorize?sso_provider=1&domain=example.rossum.app'Response
Status: 302
In case of success, the user is redirected to the appropriate domain with a token attached, e.g. to https://example.rossum.app#authCode={user token}"